Bug 9321 - sysklogd produces unwanted -- MARK -- messages and switches to GMT
Summary: sysklogd produces unwanted -- MARK -- messages and switches to GMT
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-10 22:36 UTC by Adi Linden
Modified: 2014-03-17 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-10 23:43:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adi Linden 2000-02-10 22:36:30 UTC
Upgraded to sysklogd-1.3.31-14.i386.rpm. After several days of running just
fine syslogd will start putting -- MARK -- messages into the log at 30
minute intervals. After the next logrotate syslogd will put -- MARK --
messages into the log every 30 seconds and switch to report the mark
messages in UTC instead of local time.

This problem is occuring on 2 machines running RedHat Linux 6.1. Both
machines run webservers, mailservers and name servers and are publicly
available. Firewalling prevents access to port 'syslog 514/udp' on both
system. I cannot reproduce the same problem on 2 other machines which are
workstations and behind a IPmasq firewall.

Could this be a security problem?

Comment 1 Bill Nottingham 2000-02-10 23:53:59 UTC
Normal behavior - use '-m 0' as args to syslogd to turn it off.

Comment 2 Adi Linden 2000-02-11 00:58:59 UTC
I confirmed that syslogd is running with the -m 0 switch. The problem occurs
regardless. Manually restarting syslogd does not resolve the problem.
Reinstalling the RPM with 'rpm -Uvh --force sysklogd-...' and subsequent
rebooting the system will result in normal and expected syslogd operation for a
few days.

Comment 3 Bill Nottingham 2000-02-16 21:22:59 UTC
What does rpm -V sysklogd say on a broken system?

Comment 4 Bill Nottingham 2000-06-10 23:43:42 UTC
closed, lack of input.


Note You need to log in before you can comment on or make changes to this bug.